Package org.opensaml.soap.wspolicy

# Interface OperatorContentType

All Superinterfaces:
  `WSPolicyObject`, `XMLObject`

All Known Subinterfaces:
  `All`, `ExactlyOne`, `Policy`

All Known Implementing Classes:
  `AllImpl`, `ExactlyOneImpl`, `OperatorContentTypeImpl`, `PolicyImpl`

public interface OperatorContentType extends WSPolicyObject
The OperatorContentType complex type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<All>`
`getAlls()`
Get the list of `All` elements.
`List<ExactlyOne>`
`getExactlyOnes()`
Get the list of `ExactlyOne` elements.
`List<Policy>`
`getPolicies()`
Get the list of `Policy` elements.
`List<PolicyReference>`
`getPolicyReferences()`
Get the list of `PolicyReference` elements.
`List<XMLObject>`
`getXMLObjects()`
Get the complete modifiable list of XMLObject children.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the modifiable sublist of XMLObject children which match the specified type or element name.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getPolicies

@Nonnull List<Policy> getPolicies()
Get the list of `Policy` elements.

Returns:
  the list of `Policy` elements

### getAlls

@Nonnull List<All> getAlls()
Get the list of `All` elements.

Returns:
  the list of `All` elements

### getExactlyOnes

@Nonnull List<ExactlyOne> getExactlyOnes()
Get the list of `ExactlyOne` elements.

Returns:
  the list of `ExactlyOne` elements

### getPolicyReferences

@Nonnull List<PolicyReference> getPolicyReferences()
Get the list of `PolicyReference` elements.

Returns:
  the list of `PolicyReference` elements

### getXMLObjects

@Nonnull List<XMLObject> getXMLObjects()
Get the complete modifiable list of XMLObject children.

Returns:
  the list of `XMLObject` instances

### getXMLObjects

@Nonnull List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the modifiable sublist of XMLObject children which match the specified type or element name.

Parameters:
  `typeOrName` - the element name or xsi:type
Returns:
  the list of `XMLObject` instances